<?php
function textfromdow($dow){
    switch ($dow){
        case 0: return ("Sun");
                break;
        case 1: return ("Mon");
                break;
        case 2: return ("Tue");
                break;
        case 3: return ("Wed");
                break;
        case 4: return ("Thu");
                break;
        case 5: return ("Fri");
                break;
        case 6: return ("Sat");
                break;
    }
        
}

function get_client_ip() {
    $ipaddress = '';
    if (isset($_SERVER['HTTP_CLIENT_IP']))
        $ipaddress = $_SERVER['HTTP_CLIENT_IP'];
    else if (isset($_SERVER['HTTP_X_FORWARDED_FOR']))
        $ipaddress = $_SERVER['HTTP_X_FORWARDED_FOR'];
    else if(isset($_SERVER['HTTP_X_FORWARDED']))
        $ipaddress = $_SERVER['HTTP_X_FORWARDED'];
    else if (isset($_SERVER['HTTP_FORWARDED_FOR']))
        $ipaddress = $_SERVER['HTTP_FORWARDED_FOR'];
    else if (isset($_SERVER['HTTP_FORWARDED']))
        $ipaddress = $_SERVER['HTTP_FORWARDED'];
    else if (isset($_SERVER['REMOTE_ADDR']))
        $ipaddress = $_SERVER['REMOTE_ADDR'];
    else
        $ipaddress = 'UNKNOWN';
    return $ipaddress;
}

function tableexists($dbase,$checkname){
    $sql="SELECT count(name) FROM sqlite_master WHERE type='table' AND name='".$checkname."'";

   $result = $dbase->query($sql) or die("Error in ".$sql);
   $row = $result->fetch(PDO::FETCH_BOTH);
   return ($row[0] > 0);
}

function droptable($dbase,$tablename){
    $sql="DROP TABLE '".$tablename."'";

 if(!$dbase->query($sql))
 {
   die("Error in ".$sql);
 } 

}


function createdefaulttable($dbase){
    echo "Creating Default Table";
    $sql="CREATE TABLE IF NOT EXISTS `soapnotes` (
     id INTEGER PRIMARY KEY,
     name VARCHAR NOT NULL DEFAULT '' ,
     soap TEXT NOT NULL DEFAULT '')" ;
    
 if(!$dbase->query($sql))
 {
   die("Error in ".$sql);
 } 
}


function row_count($result){
    $i=0;
    while ($row = $result->fetch(PDO::FETCH_BOTH)) {$i++;}
    return($i);
}

function myresult($result,$field){
    $row = $result->fetch(PDO::FETCH_BOTH);
    return($row[$field]);
}

function myresultq($dbase,$sql,$field){
    $result = $dbase->query($sql) or die("error in $sql");
    if ($row = $result->fetch(PDO::FETCH_BOTH)){
    return($row[$field]);    
    }
    else return(0);
}


function found($dbase,$tablename,$fieldname,$match){
//    echo "Select $fieldname from $tablename where $fieldname='$match'";
    $result = $dbase->query("Select $fieldname from $tablename where $fieldname='$match'") or die("Bad found query");
    if (row_count($result)>0){return true;}
    else return false;
}

function planfound($dbase,$tablename,$fieldname,$match,$owner){
//    echo "Select $fieldname from $tablename where $fieldname='$match'";
    $result = $dbase->query("Select $fieldname from $tablename where $fieldname='$match' and owner = '$owner'") or die("Bad found query");
    if (row_count($result)>0){return true;}
    else return false;
}

function updatefield($dbase,$tablename,$fieldname,$match,$newdata){
//    echo "Select $fieldname from $tablename where $fieldname='$match'";
    $sql = "Select * from $tablename where $fieldname='$match' ";
//    echo $sql."<br>";
    $result = $dbase->query($sql) or die("Bad lookup query");
    if (row_count($result)>0){
        //need to run the query again as row_count eliminates the data
        $result = $dbase->query($sql);
        $row = $result->fetch(PDO::FETCH_BOTH);
        $id = $row['id'];
 //       echo $row['id']." ".$row['symptom'];
        $sql = "Update $tablename set $fieldname = '$newdata' where id = '$id'";
//        echo $sql."<br>";
       $dbase->exec($sql) or die("Bad update query");
    }

}

function regcheck($dbase,$tablename,$uname,$pw){
//    echo $pw." ".md5($pw)." ".md5(trim($pw))."<br>";
    $sql = "Select * from $tablename where name = '$uname' and pw = '".strrev(md5($pw))."'";
    $result = $dbase->query($sql);
    //echo $sql."<br>";
    if (row_count($result)>0){return true;}
    else return false;
}
function supercheck($dbase,$tablename,$uname,$pw){
//    echo $pw." ".md5($pw)." ".md5(trim($pw))."<br>";
    $sql = "Select * from $tablename where name = '$uname' and pw = '".strrev(md5($pw))."'";
    $result = $dbase->query($sql);
    //echo $sql."<br>";
    if (row_count($result)>0){
        $result = $dbase->query($sql);
        $row = $result->fetch(PDO::FETCH_ASSOC);
    //    print_r($row);
    //    exit;;
        if ($row['super']==true) {return true;}
        
        }
    else return false;
}

function wnlogin($dbase,$tablename,$uname,$pw){
//    echo $pw." ".md5($pw)." ".md5(trim($pw))."<br>";
    $sql = "Select * from $tablename where uname = '$uname' and pass = '".strrev(md5($pw))."'";
    $result = $dbase->query($sql) or die("Error in $sql");
//    echo $sql."<br>";
//    echo row_count($result);
    if (row_count($result)>0){
        //echo "Registered";
        //$result->reset();
        $result = $dbase->query($sql) or die("Error in $sql");
        $row=$result->fetch(PDO::FETCH_BOTH);
        $_SESSION['user'] = $row['uname'];
        $_SESSION['access'] = $row['access'];
        $_SESSION['usersig'] = $row['signature'];
        $_SESSION['uid'] = $row['id'];
        $_SESSION['pass'] = $row['pass'];
        //update user date
        $date = date('Y-m-d H:i:s');
        $sql = "UPDATE $tablename set lastvisit = '$date' where uname = '$uname' and pass = '".strrev(md5($pw))."'";
        $dbase->exec($sql) or die ("Error with query: $sql");
        
        return true;}
    else return false;
}

function setuservisit($dbase,$tablename,$uname,$pw){
    
     $date = date('Y-m-d H:i:s');
     $sql = "UPDATE $tablename set lastvisit = '$date' where uname = '$uname' and pass = '".strrev(md5($pw))."'";
     $dbase->exec($sql) or die ("Error with query: $sql");
}

function displayselect($dbase, $sql, $optionid, $fieldname, $selected, $autosubmit=0, $firstblank="") {
  $result = $dbase->query($sql) or die($error);
//will create a select dropdown with the results as options
//  if ($result===true) { exit;} //exits with boolean only results ie create table, drop, etc when no array is returned
  
    if ($autosubmit==1) echo "<select name='$optionid' onchange='this.form.submit()'  >\n";
    else echo "<select id='$optionid' >\n";
    //display the data
    //make the first option empty if designated
    if (!$firstblank=="") echo "<option value=''>$firstblank</option>\n";
    while ($rows = $result->fetch(PDO::FETCH_BOTH))
    {  $match='';
       if ($rows[$fieldname] == $selected) {$match=" selected ";}
      { echo "<option value='$rows[$fieldname]' $match>$rows[$fieldname]</option>\n";	
      }
    }
    echo "</select>\n";
  }

function DisplayResultTable($dbase, $sql, $align="right"){
    //echo $sql;
    if (row_count($dbase->query($sql))==0){
        echo "<p><span class='errormsg'> Empty Result Query </span>";
//        exit;
    }
    else {
    try {    
    $result = $dbase->query($sql);
    $row = $result->fetch(PDO::FETCH_ASSOC);
    $cols = array_keys($row);
    echo "<table class='gridtable'><tr>";
//    for ($i=0;$i<count($cols); $i++){
    foreach($cols as $i){
        echo "<th style='text-align:center'>$i</th>";
//        echo "<th>$cols[$i]</th>";
    }
//    foreach($cols as $i) echo $i;
    echo "</tr>";
//    $result = $dbase->query($sql) or die("Error in $sql");
//    while ($row = $result->fetch(PDO::FETCH_BOTH)){
//        echo "<tr>";
//        for ($i=0;$i<count($cols); $i++){
//        echo "<td>$row[$i]</td>"; 
//        }
//        echo "</tr>";
//    }


    foreach($dbase->query($sql, PDO::FETCH_ASSOC) as $row){
        echo "<tr>";
//        for ($i=0;$i<count($cols); $i++){
//        echo "<td>$row[$i]</td>"; 
        foreach($row as $i){
        echo "<td style='text-align:".$align."'>$i</td>"; 
        }
        echo "</tr>";
    }
      echo "</table>";
    }
    catch (Exception $e) { 
      die ( $e->getMessage()); 
  }    
  }
    //echo $row[0];

}

function DisplayResultTableDel($dbase, $sql, $align="right"){
    //echo $sql;
    if (row_count($dbase->query($sql))==0){
        echo "<p><span class='errormsg'> Empty Result Query </span>";
//        exit;
    }
    else {
    try {    
    $result = $dbase->query($sql) or die("Error in $sql");
    $row = $result->fetch(PDO::FETCH_ASSOC);
    $cols = array_keys($row);
    echo "<table class='gridtable'><tr>";
//    for ($i=0;$i<count($cols); $i++){
    foreach($cols as $i){
        echo "<th style='text-align:center'>$i</th>";
//        echo "<th>$cols[$i]</th>";
    }
//    foreach($cols as $i) echo $i;
    echo "</tr>";
//    $result = $dbase->query($sql) or die("Error in $sql");
//    while ($row = $result->fetch(PDO::FETCH_BOTH)){
//        echo "<tr>";
//        for ($i=0;$i<count($cols); $i++){
//        echo "<td>$row[$i]</td>"; 
//        }
//        echo "</tr>";
//    }


    foreach($dbase->query($sql, PDO::FETCH_ASSOC) as $row){
        echo "<tr>";
//        for ($i=0;$i<count($cols); $i++){
//        echo "<td>$row[$i]</td>"; 
//        print_r($row);
        foreach($row as $i){
        if ($i<0){    
           echo "<td style='text-align:".$align."; color:red;'>$i</td>"; 
        }
        else{
             echo "<td style='text-align:".$align."; '>$i</td>"; 
        } 
        }
        echo "<td><a href='index.php?adminid=mcb&delid=".$row['id']."' onclick=\"return confirm('Are you sure want to delete row: ".$row['id']."');\">Delete</a></td>";
        echo "<td><a href='update.php?editid=".$row['id']."'>Edit</a></td>";
        echo "</tr>";
    }
      echo "</table>";
    }
    catch (Exception $e) { 
      die ( $e->getMessage()); 
  }    
  }
    //echo $row[0];

}

function DisplayResultTableUser($dbase, $sql, $align="right"){
    //echo $sql;
    if (row_count($dbase->query($sql))==0){
        echo "<p><span class='errormsg'> Empty Result Query </span>";
//        exit;
    }
    else {
    try {    
    $result = $dbase->query($sql) or die("Error in $sql");
    $row = $result->fetch(PDO::FETCH_ASSOC);
    $cols = array_keys($row);
    echo "<table class='gridtable'><tr>";
//    for ($i=0;$i<count($cols); $i++){
    foreach($cols as $i){
        echo "<th style='text-align:center'>$i</th>";
//        echo "<th>$cols[$i]</th>";
    }
//    foreach($cols as $i) echo $i;
    echo "</tr>";


    foreach($dbase->query($sql, PDO::FETCH_ASSOC) as $row){
        echo "<tr>";
//        for ($i=0;$i<count($cols); $i++){
//        echo "<td>$row[$i]</td>"; 
//        print_r($row);
        foreach($row as $i){
        if ($i<0){    
           echo "<td style='text-align:".$align."; color:red;'>$i</td>"; 
        }
        else{
             echo "<td style='text-align:".$align."; '>$i</td>"; 
        } 
        }
        echo "<td><a href='user_edit.php?delid=".$row['id']."' onclick=\"return confirm('Are you sure want to delete row: ".$row['id']."');\">Delete</a></td>";
        echo "<td><a href='user_edit.php?editid=".$row['id']."'>Toggle Edit</a></td>";
        echo "</tr>";
    }
      echo "</table>";
    }
    catch (Exception $e) { 
      die ( $e->getMessage()); 
  }    
  }
    //echo $row[0];

}

function DisplayResultTableRed($dbase, $sql, $align="right"){
    //echo $sql;
    if (row_count($dbase->query($sql))==0){
        echo "<p><span class='errormsg'> Empty Result Query </span>";
//        exit;
    }
    else {
    try {    
    $result = $dbase->query($sql) or die("Error in $sql");
    $row = $result->fetch(PDO::FETCH_ASSOC);
    $cols = array_keys($row);
    echo "<table class='gridtable'><tr>";
//    for ($i=0;$i<count($cols); $i++){
    foreach($cols as $i){
        echo "<th style='text-align:center'>$i</th>";
//        echo "<th>$cols[$i]</th>";
    }
//    foreach($cols as $i) echo $i;
    echo "</tr>";
//    $result = $dbase->query($sql) or die("Error in $sql");
//    while ($row = $result->fetch(PDO::FETCH_BOTH)){
//        echo "<tr>";
//        for ($i=0;$i<count($cols); $i++){
//        echo "<td>$row[$i]</td>"; 
//        }
//        echo "</tr>";
//    }


    foreach($dbase->query($sql, PDO::FETCH_ASSOC) as $row){
        echo "<tr>";
//        for ($i=0;$i<count($cols); $i++){
//        echo "<td>$row[$i]</td>"; 
        foreach($row as $i){
        if ($i<0){    
           echo "<td style='text-align:".$align."; color:red;'>$i</td>"; 
        }
        else{
             echo "<td style='text-align:".$align."; '>$i</td>"; 
        } 
        }
        echo "</tr>";
    }
      echo "</table>";
    }
    catch (Exception $e) { 
      die ( $e->getMessage()); 
  }    
  }
    //echo $row[0];

}

function info_msg($s){
    echo "<div style='text-align:center'><span style='center; color:white; background-color:green; align:center'> &nbsp;&nbsp;$s&nbsp;&nbsp; </span></div>";
}

function error_msg($s){
    echo "<div style='text-align:center'><span style='center; color:white; background-color:red; align:center'> &nbsp;&nbsp;$s&nbsp;&nbsp; </span></div>";
}

function getObfuscatedEmailAddress($email)
{
    $alwaysEncode = array('.', ':', '@');

    $result = '';

    // Encode string using oct and hex character codes
    for ($i = 0; $i < strlen($email); $i++) {
        // Encode 25% of characters including several that always should be encoded
        if (in_array($email[$i], $alwaysEncode) || mt_rand(1, 100) < 25) {
            if (mt_rand(0, 1)) {
                $result .= '&#' . ord($email[$i]) . ';';
            } else {
                $result .= '&#x' . dechex(ord($email[$i])) . ';';
            }
        } else {
            $result .= $email[$i];
        }
    }

    return $result;
}

function getObfuscatedEmailLink($email, $params = array())
{
    if (!is_array($params)) {
        $params = array();
    }

    // Tell search engines to ignore obfuscated uri
    if (!isset($params['rel'])) {
        $params['rel'] = 'nofollow';
    }

    $neverEncode = array('.', '@', '+'); // Don't encode those as not fully supported by IE & Chrome

    $urlEncodedEmail = '';
    for ($i = 0; $i < strlen($email); $i++) {
        // Encode 25% of characters
        if (!in_array($email[$i], $neverEncode) && mt_rand(1, 100) < 25) {
            $charCode = ord($email[$i]);
            $urlEncodedEmail .= '%';
            $urlEncodedEmail .= dechex(($charCode >> 4) & 0xF);
            $urlEncodedEmail .= dechex($charCode & 0xF);
        } else {
            $urlEncodedEmail .= $email[$i];
        }
    }

    $obfuscatedEmail = getObfuscatedEmailAddress($email);
    $obfuscatedEmailUrl = getObfuscatedEmailAddress('mailto:' . $urlEncodedEmail);

    $link = '<a href="' . $obfuscatedEmailUrl . '"';
    foreach ($params as $param => $value) {
        $link .= ' ' . $param . '="' . htmlspecialchars($value). '"';
    }
    $link .= '>' . $obfuscatedEmail . '</a>';

    return $link;
}

?>