<?php
session_start();
include 'common_routines.php'; 
include("connect.php");
include "version.php";

$admin = false;
$ptname="";
$ptloc="";
$wt="";
$age="";
$AgeType="Yr";
$wttype='kg';
$burnpct=0;

$config = file("config.ini");
foreach($config as $value){
  //  echo (strpos($value,"show_front"))."<br>";
    if (strpos($value,"show_front")!==false){$show_message = strpos($value,"show_front")==0;}
}


if (isset($_POST['logout'])){

  $_SESSION['loggedin']=false;  

}

if (isset($_SESSION["ptname"])){

$ptname=$_SESSION["ptname"];
$ptloc=$_SESSION["ptloc"];
$wt=round($_SESSION["patientweight"],1);
$age=$_SESSION["patientage"];
$AgeType=$_SESSION["AgeType"];
$wttype=$_SESSION["wttype"];
$burnpct=$_SESSION["burnpct"];
//print_r($_SESSION);
}
if (isset($_SESSION['loggedin'])){$admin = $_SESSION['loggedin'];}
else {$admin = false;}
?>
<!DOCTYPE html>
<html>
<head><title>Pediatric Emergency Drug Calculator</title>

  <meta charset="UTF-8">
  <meta name="description" content="Free Pediatric Resuscitation Calculator">
  <meta name="keywords" content="Pediatric Calculator Drug">
  <meta name="author" content="Martin Beattie">

<STYLE>
    body {
        margin-left:40px;
        margin-right:40px;
    }  
  table {border: 1px;
           border-style: solid;
	   border-color: black;
	   border-collapse: collapse;
           padding: 0;
           border-spacing: 0;}
         
    td.italic {font-family: Arial, Microsoft Sans Serif;font-size: 10px;font-style: italic;
    }
    div.message {
        border-style:solid;
        border-color: black;
        border-collapse: collapse;
        border-width: 1px;
        //background-color: #e3ffe7;
        background-color:lightyellow;
        //color:white;
        margin-top: 20px;
        margin-left: 200px;
        margin-right: 200px;
        padding-left:20px;
        padding-right:20px;
    }
    div.contact{
        text-align: center;
        font-family:arial, Arial, Microsoft Sans Serif;
        font-size:10px;             
    }
    div.version {
        postion: fixed;
        bottom:5px;
       
      
        margin-top: 5px;
        padding-left:20px;
        text-align:left;
        font-size:10px;
        font-family:arial, Arial, Microsoft Sans Serif;
        font-style: italic;
    }
    div.container {
        position: relative;
        border: 3px solid #8AC007;
    }
</STYLE>
</head>
<body bgcolor="#f3fff5">
    <form id="logoutform" action="peddrugcalc.php" method="post">
        <input type="text" hidden name="logout" value="logout"> 
    </form>    
<?php    
if ($admin)
    echo '<a href="admin">Admin Page</a>&nbsp; &nbsp; <a onclick="logoutform.submit()"><u>Admin Logout</u></a><p>';
?>    
<h1 align="center">Pediatric Emergency Drug / Fluid Calculator</h1>

<h2>DISCLAIMER</h2>
<h4><font><font color="black">This calculator does not recommend
which drug to use or how to treat any illness. It is not a
replacement for training or experience, it only calculates a
medication / treatment dose based upon the weight of the patient.
The drugs included are those typically needed in pediatric
resuscitation. It is intended for use by those in the health
profession. Because of the changing nature of medication and
dosage recommendations and varying patient requirements, the user
must use sound clinical judgement to individualize therapy for
each patient. This is only a calculator. The author disclaims any
liability for loss, damage or injury resulting from its
use.</font></font></h4>

Instructions:  Enter the patient name (optional), age and
weight.  Select whether the weight is in kg or lbs and then
click the Calculate button.  A new page will be generated
with weight based emergency drug dosages, fluid replacement and
ET size guidelines.<br>
 <br>
 
<div align="center">
<form method="GET" action="dummy" name="inputdata">
<table style="TEXT-ALIGN: left" border="1" cellpadding="6"  width="544">
<tbody>
<tr>
<td style="TEXT-ALIGN: center" width="20%">
<div style="TEXT-ALIGN: right">Patient Name
</div>
</td>
<td><input name="ptname" <?php echo "value = '$ptname'";?>width="30%"></td>
<td style="TEXT-ALIGN: center" width="10%">
<div style="TEXT-ALIGN: right">Room
</div>
</td>
<td><input name="ptloc" <?php echo "value = '$ptloc'";?>width="40%"></td>
</tr>
</tbody>
</table>

<table style="TEXT-ALIGN: left"  cellpadding="6" cellspacing="2"  width="544">
<tbody>

<tr>
<td style="TEXT-ALIGN: right">Age
</td>
<td><input name="patientage" <?php echo "value = '$age'";?>>  <input name="AgeType" type="radio" <?php if ($AgeType=='Mo'){echo 'checked';}?> value="Mo">Mo
<input name="AgeType" type="radio" <?php if ($AgeType=='Yr'){echo 'checked';}?> value="Yr">Yr</td>
</tr>

<tr>
<td style="TEXT-ALIGN: right">Weight</td>
<td><input name="patientweight" <?php echo "value = '$wt'";?>>
    <input <?php if ($wttype=='kg'){echo 'checked';}?> name="wttype" value="Kg" type="radio">Kg 
    <input name="wttype" <?php if ($wttype=='lbs'){echo 'checked';}?> value="lbs" type="radio">Lbs
</td>
</tr>
<tr>
<td style="TEXT-ALIGN: center" >
<div style="TEXT-ALIGN: right">Burn Percentage
</div>
</td>
<td><input name="burnpct" <?php echo "value = '$burnpct'";?>>(2nd and 3rd deg)</td>
</tr>
</tbody>
</table>
<!-- <input type="submit" value="Calculate Resuscitation Page" name="gobutton" object="">
<input type="submit" value="Calculate ICU / Sepsis Page" name="gobutton" object="">
-->
<input type=submit value="Calculate Resuscitation Page" ONCLICK="inputdata.action='PedCalc.php'">
<input type=submit value="Calculate ICU / Sepsis Page" ONCLICK="inputdata.action='MedCalc.php'">
<input type=submit value="Calculate RSI Page" ONCLICK="inputdata.action='RSICalc.php'"><br>
   
</form><br>
</div>
<table align="center" border="1" width="70%" >
<tr><td class="italic">
PLEASE NOTE:  NO PATIENT OR CLINICAL INFORMATION IS COLLECTED OR SAVED BY THIS WEB PAGE.  CALCULATIONS ARE PERFORMED 
FOR DISPLAY AND PRINTING ONLY.
</td></tr>
<tr><td class="italic" align="center">
LAST REVIEWED 
<?php
    $sql="Select datetxt from messagetable where id=0";
    $datetxt = myresultq($dbase,$sql,'datetxt');
    echo $datetxt;
?> 
</td></tr>
</table><br>
<div class="contact">
 <?php   $sql="Select contact from messagetable where id=0";
    $msg = myresultq($dbase,$sql,'contact');
    echo 'Contact <a href="mailto:'.getObfuscatedEmailAddress($msg).'?Subject=PedCalc">'.getObfuscatedEmailAddress($msg).'</a> for suggestions,error reports or further information'; 
 ?>   
</div>
<!--
<div align="center" class="message">Please send suggestions and/or corrections to <a href="mailto:pedcalc@otddi.com?subject=PedCalc Comment&body=Please consider suggestions for PedCalc:"><h3>pedcalc@otddi.com</h3></a></div>
-->
<div  class="message">
    <!-- Put message text in this DIV -->
<?php
    if ($show_message)
    {$sql="Select messagetxt from messagetable where id=0";
    $msg = myresultq($dbase,$sql,'messagetxt');
    echo $msg;}
?>    
<!--    <h3 align="center">IMPORTANT NOTICE</h3>
Edit this area to add message text. -->
<!-- End of message text area -->
</div>

<div class="version"> <?php echo "PedCalc Version: $version"; ?> </div>

</body>
</html>